{% extends "UserBundle::Template.html.twig" %}
{% block wrapper %}
    <!--suppress ALL -->
<style>
        .planning_rando:hover{
            background-color: #33b5e5;
        }
    </style>
<div id="mapView" class="mob-min">
    <div class="mapPlaceholder">
        <span class="fa fa-spin fa-spinner"></span> Loading map...
    </div>
</div>
    <div id="content" class="mob-max">
        <div class="singleTop">
            <div id="carouselFull" class="carousel slide" data-ride="carousel">
                <ol class="carousel-indicators">
                     {% for items in item.listImages %}
                        {% if loop.first %}
                            <li data-target="#carouselFull" data-slide-to="{{ loop.index-1 }}" class="active"></li>
                        {% else %}
                            <li data-target="#carouselFull" data-slide-to="{{ loop.index-1 }}" class=""></li>
                        {% endif %}
                     {% endfor %}
                </ol>
                <div class="carousel-inner">
                    {% for items in item.listImages %}
                    {% if loop.first %}
                        <div class="item active">
                     {% else %}
                            <div class="item">
                         {% endif %}
                        <img src="/Uploads/{{ items.path }}" alt="slide">
                        <div class="container">
                            <div class="carousel-caption">

                            </div>
                        </div>
                    </div>
                    {% endfor %}

                </div>
                <a class="left carousel-control" href="#carouselFull" role="button" data-slide="prev"><span class="fa fa-chevron-left"></span></a>
                <a class="right carousel-control" href="#carouselFull" role="button" data-slide="next"><span class="fa fa-chevron-right"></span></a>
            </div>
            <div class="summary">
                <div class="row">
                    <div class="col-xs-12 col-sm-12 col-md-8 col-lg-8">
                        <div class="summaryItem">
                            <h1 class="pageTitle">{{ item.titre }}</h1>
                            <div class="address"><span class="icon-pointer"></span> {{ item.idDestination.nom }}</div>
                            <div class="address">Type:{{ item.idTypeRandonnee.type }}</div>
                            <div class="address">Nombre de kilometres:{{ item.nbKilometres }}</div>
                            <div class="address">date:{{ item.dateRando|date }}</div>
                            <div class="address">nombre de places:{{ size }}/{{ item.nbPlaceMax }}</div>
                            <ul class="rating">
                                <li><a href="#"><span class="fa fa-star"></span></a></li>
                                <li><a href="#"><span class="fa fa-star"></span></a></li>
                                <li><a href="#"><span class="fa fa-star"></span></a></li>
                                <li><a href="#"><span class="fa fa-star"></span></a></li>
                                <li><a href="#"><span class="fa fa-star-o"></span></a></li>
                                <li>(146)</li>
                            </ul>
                            <ul class="stats">
                                <li><span class="icon-bubble"></span> 0</li>
                            </ul>
                            <div class="clearfix"></div>

                            <div class="clearfix"></div>
                        </div>
                    </div>
                    <div class="col-xs-12 col-sm-12 col-md-4 col-lg-4">
                        <div class="agentAvatar summaryItem">
                            <div class="clearfix"></div>
                            <img class="avatar agentAvatarImg" src="{{ asset('UserAssets/images/') ~ item.loginOrganisateur.imgLink }}" alt="">
                            <div class="agentName">{{ item.loginOrganisateur.username }}</div>
                            
                            {% if valid==true %}
                                {% if exist == true %}
                                <a href="{{ path('Rando_annParticipation', {'id':item.id}) }}"  class="btn btn-lg btn-round btn-red contactBtn isThemeBtn" >annuler Participation</a>
                                {% else %}
                                <a href="{{ path('Rando_participer',{id:item.id}) }}"  class="btn btn-lg btn-round btn-green contactBtn isThemeBtn" >Participer</a>
                                {% endif %}
                            {% else %}
                             <a href="#"  class="btn btn-lg btn-round btn-red contactBtn isThemeBtn" >{{ valid_msg }}</a>
                            {% endif %}



                            {% if app.user == item.loginOrganisateur and valid==true or app.user.roles[0]=="ROLE_ADMIN" %}

                            <a href="{{ path('Rando_update', {'id':item.id}) }}" class="btn btn-lg btn-round btn-blue contactBtn isThemeBtn" >Modifier</a>
                             
                            <a href="{{ path('Rando_delete', {'id':item.id}) }}" class="btn btn-lg btn-round btn-red contactBtn isThemeBtn" >Supprimer</a>
                                                   
                            {% endif %}
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="clearfix"></div>
        <div class="description">
            <h3>Description</h3>
            <p> {{ item.description }}</p>
        </div>
        <div class="clearfix"></div>
            <div class="singleTop">
                <div class="summary">
                    <div class="summaryItem">
                        <button type="button" class="btn btn-info btn-lg" data-toggle="modal" data-target="#myModal">Les Taches</button>

                    </div>
                </div>
            </div>


        <div class="comments">
            <h3><span>4</span> Comments</h3>
            {%   for i in item.ListCommentaire %}
            <div class="comment">
                <div class="commentAvatar">
                    <img class="avatar" src=" {{ asset('UserAssets/images/') ~ i.loginUser.imgLink }} " alt="avatar">
                    <div class="commentArrow"><span class="fa fa-caret-left"></span></div>
                </div>
                <div class="commentContent">
                    <div class="commentName">{{ i.loginUser.username }}</div>
                    <div class="commentBody">
                      {{ i.contenu }}
                    </div>
                    <div class="commentActions">
                        <div class="commentTime"><span class="icon-clock"></span> {{ i.date|date }}</div>
                        <ul>

                            <li><a href="#"><span class="icon-like"></span> 0</a></li>
                        </ul>
                        <div class="clearfix"></div>
                    </div>
                </div>
                <div class="clearfix"></div>
            </div>
            {% endfor %}

        </div>
    </div>
    <div class="commentsFormWrapper">
        <div class="cfAvatar">
            <img class="avatar" src="{{ asset('UserAssets/images/') ~ app.user.imgLink }}" alt="avatar">
        </div>
        <form class="commentsForm" action="{{ path('ajout_com',{id:item.id}) }}" method="post">
            <div class="input-group">
                <input type="text" class="form-control" placeholder="Write a comment..." name="contenu">
                <span class="input-group-btn"><a class="btn btn-green isThemeBtn">Post</a></span>
            </div>
        </form>
        <div class="clearfix"></div>
    </div>
    <div class="clearfix"></div>

    <!-- Modal -->
    <div id="myModal" class="modal fade" role="dialog">
        <div class="modal-dialog">

            <!-- Modal content-->
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                    <h4 class="modal-title">Planning de cette Randonnee</h4>
                </div>
                <div class="modal-body">
                    {% for items in item.listTaches %}
                        <div class="row planning_rando" style="padding-top: 10px;padding-bottom: 10px" >
                            <div class="col-md-1">{{ loop.index }}</div>
                            <div class="col-md-3">{{ items.heureDebut|date }}</div>
                            <div class="col-md-3">{{ items.heureFin|date }}</div>
                            <div class="col-md-4">{{ items.description }}</div>
                            {% if app.user == item.loginOrganisateur and valid==true or app.user.roles[0]=="ROLE_ADMIN" %}
                            <div class="col-md-1">
                             <button class="btn btn-danger btn-sm glyphicon glyphicon-remove" onclick="remove_item({{ items.id }},this)"><i></i></button></div>
                             {% endif %}
                        </div> 

                    {% endfor %}
                    <div id="updater-ajaxAction-container" data-update-strategy="append"></div>
                </div>
                <div class="modal-footer">
                {% if app.user == item.loginOrganisateur and valid==true or app.user.roles[0]=="ROLE_ADMIN" %}
                    <button type="button" class="btn btn-info btn-lg" data-toggle="modal" data-target="#myModal2">Ajouter une tache</button>
                    {% endif %}
                    <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                </div>
            </div>

        </div>
    </div>
    {% if app.user == item.loginOrganisateur and valid==true or app.user.roles[0]=="ROLE_ADMIN" %}
    <!-- Modal -->
    <div id="myModal2" class="modal fade" role="dialog">
        <div class="modal-dialog modal-lg">

            <!-- Modal content-->
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                    <h4 class="modal-title">Ajouter une Tache au randonnee</h4>
                </div>
                <form action="{{ path('Ajout_Tache', {'id': item.id}) }}" method="POST" data-toggle="ajax" data-update="updater-ajaxAction-container">
                <div class="row">
                    <div class="col-xs-12 col-sm-12 col-md-3">
                        <div class="form-group">
                            <label>description</label>
                            <textarea type="text" name="description" class="form-control" required></textarea>
                        </div>
                    </div>
            
                    <div class="col-xs-12 col-sm-12 col-md-3">
                        <div class="form-group">
                            <label>Date debut</label>
                           <input type="text" id="date1" name="date1" class="form-control" required>
                        </div>
                    </div>
                
                    <div class="col-xs-12 col-sm-12 col-md-3">
                        <div class="form-group">
                            <label>Date Fin</label>
                            <input type="text" id="date2" name="date2" class="form-control" required>
                        </div>
                    </div>
                </div>
                    
                <div class="modal-footer">

                <button class="btn btn-info btn-lg" onclick="closeModal()">Confirmer</button>
                <button  class="btn btn-default" data-dismiss="modal">Close</button>
                </div>
                </form>
            </div>

        </div>
    </div>
    {% endif %}

{% endblock %}


{% block scripts %}
    <link rel="stylesheet" media="all" type="text/css" href="http://code.jquery.com/ui/1.11.0/themes/smoothness/jquery-ui.css">
    <script src="{{ asset('UserAssets/js/jquery-ui-timepicker-addon.min.js') }}"></script>
    <link rel="stylesheet" href="{{ asset('UserAssets/css/jquery-ui-timepicker-addon.min.css') }}">
   <script>


function remove_item(id,a){
    $.post("http://localhost:8000/deltache/"+id,"",function(data,d){
        if(data=="ok"){
           console.log($(a).parent().parent().remove())
        }

        console.log(d)
    });
}

   $( "#date1" ).datetimepicker({
            dateFormat : 'dd-mm-yy',
            minDate: new Date(),
        });

   $( "#date2" ).datetimepicker({
            dateFormat : 'dd-mm-yy',
            minDate: new Date(),
        });

   function closeModal(){
        setTimeout(function() {
       $('#myModal2').modal('hide');
       },400);
   }






    var themeColorPath = $("#app").attr("href");
    var themeColorFile = themeColorPath.replace("css/app-", "");
    var themeColor = themeColorFile.replace(".css", "");

    console.log("custom script started")
    var map
    // Custom options for map
    var options = {
        zoom : 14,
        mapTypeId : 'Styled',
        disableDefaultUI: true,
        mapTypeControlOptions : {
            mapTypeIds : [ 'Styled' ]
        }
    };
    var styles = [
        {
            stylers : [ {
                hue : "#cccccc"
            }, {
                saturation : -100
            }]
        }, {
            featureType : "road",
            elementType : "geometry",
            stylers : [ {
                lightness : 100
            }, {
                visibility : "simplified"
            }]
        }, {
            featureType : "road",
            elementType : "labels",
            stylers : [ {
                visibility : "on"
            }]
        }, {
            featureType: "poi",
            stylers: [ {
                visibility: "off"
            }]
        }];
    var newMarker = null;

    // json for properties markers on map
    var props = [


        {
            id:'{{ item.id }}',
            title : '{{ item.titre }}',
            image :{% for items in item.listImages|slice(0,1) %}'{{ items.path }}'{% endfor %},
            type : 'For Rent',
            price : '{{ item.prix }}',
            address : '{{ item.idDestination.nom }}',
            bedrooms : '2',
            bathrooms : '2',
            area : '4430 Sq Ft',
            position : {
                lat : {{ item.idDestination.idLocalisation.lattitude }},
                lng : {{ item.idDestination.idLocalisation.longitude }}

            },
            markerIcon : "../../UserAssets/images/marker-green.png"
        },

        ];
    // custom infowindow object

    // function that adds the markers on map
    var addMarkers = function(props, map) {
        console.log("creating markers")
        $.each(props, function(i,prop) {
            console.log("1")
            var latlng = new google.maps.LatLng(prop.position.lat,prop.position.lng);
            var marker = new google.maps.Marker({
                position: latlng,
                map: map,
                icon: new google.maps.MarkerImage(
                    prop.markerIcon,
                    null,
                    null,
                    null,
                    new google.maps.Size(36, 36)
                ),
                draggable: false,
                animation: google.maps.Animation.DROP,
            });
        });
    }
    setTimeout(function() {
        $('body').removeClass('notransition');

        console.log("init map")
        map = new google.maps.Map(document.getElementById('mapView'), options);
        var styledMapType = new google.maps.StyledMapType(styles, {name : 'Styled'});

        map.mapTypes.set('Styled', styledMapType);
        map.setCenter(new google.maps.LatLng({{ item.idDestination.idLocalisation.lattitude }} ,{{ item.idDestination.idLocalisation.longitude }}));

        addMarkers(props, map);
    }, 300);

    </script>
{% endblock %}